.button-outlined {
  --helper-theme: var(--theme-rgb, var(--primary-rgb, 33, 150, 243));
  position: relative;
  display: inline-block;
  box-sizing: border-box;
  margin: 0;
  border: solid 2px; /* Safari */
  border-color: rgba(var(--on-surface-rgb, 0, 0, 0), 0.24);
  border-radius: 4px;
  padding: 0 16px;
  min-width: 64px;
  height: 36px;
  vertical-align: middle;
  text-align: center;
  text-overflow: ellipsis;
  color: rgb(var(--helper-theme));
  background-color: transparent;
  font-family: var(
    --font-family,
    'Roboto',
    'Segoe UI',
    BlinkMacSystemFont,
    system-ui,
    -apple-system
  );
  font-size: var(--font-size, 18px);
  font-weight: 500;
  line-height: 34px;
  outline: none;
  cursor: pointer;
}

.button-outlined::-moz-focus-inner {
  border: none;
}

/* Highlight, Ripple */
.button-outlined::before,
.button-outlined::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  border-radius: 3px;
  opacity: 0;
}

.button-outlined::before {
  background-color: rgb(var(--helper-theme));
  transition: opacity 0.2s;
}

.button-outlined::after {
  background: radial-gradient(circle at center, currentColor 1%, transparent 1%)
    center/10000% 10000% no-repeat;
  transition: opacity 1s, background-size 0.5s;
}

/* Hover, Focus */
.button-outlined:hover::before {
  opacity: 0.04;
}

.button-outlined:focus::before {
  opacity: 0.12;
}

.button-outlined:hover:focus::before {
  opacity: 0.16;
}

/* Active */
.button-outlined:active::after {
  opacity: 0.16;
  background-size: 100% 100%;
  transition: background-size 0s;
}

/* Disabled */
.button-outlined:disabled {
  color: rgba(var(--on-surface-rgb, 0, 0, 0), 0.38);
  background-color: transparent;
  cursor: initial;
}

.button-outlined:disabled::before,
.button-outlined:disabled::after {
  opacity: 0;
}
